Draft Ellipse

From FreeCAD Documentation
Revision as of 05:18, 7 November 2018 by Vocx (talk | contribs) (Code with Placement.)
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.

Draft Ellipse

Menu location
Draft → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
-
See also
Draft Circle, Draft Arc

Description

The Ellipse tool creates an ellipse in the current work plane by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the Draft Linestyle set on the Draft Tray.

How to use

  1. Press the Draft Ellipse button, or press E then L keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (DataMake Face true); if not, the ellipse will not make a face (DataMake Face false).
  • Press Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Cancel button to abort the current command.

Properties

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • DataFirst Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • DataLast Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • DataMajor Radius: specifies the major radius of the ellipse.
  • DataMinor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • DataMake Face: specifies if the Ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse DataFirst Angle and DataLast Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DataMake Face is true.
  • ViewPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: FreeCAD Scripting Basics, Draft API, and the autogenerated API documentation.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)